# Generated by Django 4.1.1 on 2023-02-06 20:21

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import morsels.blocks
import morsels.models
import wagtail.blocks.stream_block
import wagtail_block_model_field.fields
import wagtail_dynamic_stream_block.blocks


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Morsel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=128, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z_0-9]*$', code='invalid_identifier', message='A valid identifier starts with an alphanumeric letter or underscore and contains only alphanumeric letters, underscores or digits.')])),
                ('name', models.CharField(max_length=128)),
                ('template', models.CharField(blank=True, max_length=128, null=True, validators=[morsels.models.validate_file_name], verbose_name='Template Path')),
                ('content', wagtail_block_model_field.fields.BlockModelField(wagtail_dynamic_stream_block.blocks.DynamicStreamBlock(child_blocks_function_name='morsels.blocks.morsel_block_choices', template='morsels/blocks/morsel_content_stream.html'), wagtail.blocks.stream_block.StreamValue)),
            ],
            options={
                'verbose_name': 'Morsel',
                'verbose_name_plural': 'Morsels',
            },
        ),
        migrations.CreateModel(
            name='MorselAlias',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(default='', max_length=128, validators=[django.core.validators.RegexValidator('^[A-Za-z_][A-Za-z_0-9]*$', code='invalid_identifier', message='A valid identifier starts with an alphanumeric letter or underscore and contains only alphanumeric letters, underscores or digits.')])),
                ('morsel', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='aliases', to='morsels.morsel')),
            ],
            options={
                'verbose_name': 'Morsel Alias',
                'verbose_name_plural': 'Morsel Aliases',
            },
        ),
        migrations.AddConstraint(
            model_name='morsel',
            constraint=models.UniqueConstraint(fields=('identifier',), name='unique_morsels_morsel.identifier'),
        ),
        migrations.AddConstraint(
            model_name='morselalias',
            constraint=models.UniqueConstraint(fields=('identifier',), name='unique_morsels_morselalias.identifier'),
        ),
    ]
